# $Revision: 1.3 $, $Date: 2004/08/21 20:11:04 $
Summary:	Replacement for KDE clock
Summary(pl):	Zamiennik zegara dla KDE
Name:		styleclock
Version:	0.3.1
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://fred.hexbox.de/styleclock/%{name}-%{version}.tar.gz
# Source0-md5:	8459613854cefdb3cf962b88cd716f53
URL:		http://fred.hexbox.de/styleclock/
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
StyleClock is a incomplete, but better-looking replacement for the
regular KDE clock. It is easily and flexibly themable.

%description -l pl
StyleClock jest niekompletnym, ale adniej wygldajcym zamiennikiem
zegara KDE. Mona do niego szybko i elastycznie stworzy motyw.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* admin
%configure \
	--disable-rpath \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang fashionclock --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f fashionclock.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libstyleclock.so
%{_libdir}/libstyleclock.la
%{_datadir}/apps/styleclock
%{_datadir}/apps/kicker/applets/styleclock.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: styleclock.spec,v $
Revision 1.3  2004/08/21 20:11:04  ankry
- rel. 2 to rebuild

Revision 1.2  2004/07/21 19:48:51  qboosh
- fixed build on amd64, fixed files list, disable rpath

Revision 1.1  2004/07/20 19:20:08  wolf
- new from Piotr Budny (vip linux pl)
